import { StrictMode } from 'react';
import { createRoot } from 'react-dom/client';
// import { Provider } from 'react-redux';
import { BrowserRouter, Routes, Route } from 'react-router-dom';
import reportWebVitals from './reportWebVitals';

import {
  /* PAGE_IMPORTS */
  App,
} from './pages';

// import { store } from './store';

createRoot(document.getElementById('root') as HTMLElement).render(
  <StrictMode>
		{/* <Provider store={store}> */}
      <BrowserRouter>
        <Routes>
          <Route index element={<App/>} />
        </Routes>
      </BrowserRouter>
		{/* </Provider> */}
  </StrictMode>
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals();
